#include "../../include/all.h"
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
  int ret = EXIT_FAILURE;

  if (argc != 2) {
    printf("usage: %s <pool url>\n", argv[0]);
    return ret;
  }

  lm_ctx_t ctx;
  lm_ctx_init(&ctx);

  ctx.debug = true;

  if (!lm_ctx_pools_add(&ctx, "test", argv[1])) {
    printf("failed to add pool: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  lm_ctx_pools_test(&ctx);
  ret = EXIT_SUCCESS;

end:
  lm_ctx_free(&ctx);
  return ret;
}
