#include "../../include/all.h"
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>

int main(int argc, char *argv[]) {
  int ret = EXIT_FAILURE;

  if (argc != 2) {
    printf("usage: %s <host>\n", argv[0]);
    return ret;
  }

  lm_ctx_t ctx;
  lm_ctx_init(&ctx);

  ctx.debug = true;

  if (!lm_ctx_pools_add(&ctx, "test", "mptp://127.0.0.1:5858")) {
    printf("failed to add pool: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  if (!lm_ctx_pools_serve(&ctx, argv[1])) {
    printf("failed to serve the pools: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  ret = EXIT_SUCCESS;
end:
  lm_ctx_free(&ctx);
  return ret;
}
